Ogre::OSXCGLContext Class Reference

`#include <OgreOSXCGLContext.h>`

Inheritance diagram for Ogre::OSXCGLContext:
[legend]

List of all members.

## Public Member Functions

| OSXCGLContext (CGLContextObj cglContext, CGLPixelFormatObj pixelFormat)
virtual | ~OSXCGLContext ()
virtual void | setCurrent ()
| See GLContext.
virtual void | endCurrent ()
| This is called before another context is made current.
virtual GLContext * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual String | getContextType ()
| Return value will be "CGL".
CGLContextObj | getContext ()
| Grab the CGLContext if it exists.
bool | getInitialized ()
void | setInitialized ()
virtual void | releaseContext ()
| Release the render context.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Protected Member Functions

void | _unregisterContext ()
| Must be called from destructor of final descendant.

## Protected Attributes

bool | initialized

## Private Attributes

CGLContextObj | mCGLContext
CGLPixelFormatObj | mPixelFormat

## Detailed Description

Definition at line 37 of file OgreOSXCGLContext.h.

## Constructor & Destructor Documentation

Ogre::OSXCGLContext::OSXCGLContext | ( | CGLContextObj | cglContext,
|  | CGLPixelFormatObj | pixelFormat
| ) |  |

virtual Ogre::OSXCGLContext::~OSXCGLContext | ( |  | ) | `[virtual]`

## Member Function Documentation

void Ogre::OSXContext::_unregisterContext | ( |  | ) | `[protected, inherited]`

Must be called from destructor of final descendant.

virtual GLContext* Ogre::OSXCGLContext::clone | ( |  | ) | const`[virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implements Ogre::OSXContext.

virtual void Ogre::OSXCGLContext::endCurrent | ( |  | ) | `[virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::OSXContext.

CGLContextObj Ogre::OSXCGLContext::getContext | ( |  | ) |

Grab the CGLContext if it exists.

Definition at line 61 of file OgreOSXCGLContext.h.

References mCGLContext.

virtual String Ogre::OSXCGLContext::getContextType | ( |  | ) | `[virtual]`

Return value will be "CGL".

Implements Ogre::OSXContext.

bool Ogre::GLContext::getInitialized | ( |  | ) | `[inherited]`

Definition at line 57 of file OgreGLContext.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

virtual void Ogre::GLContext::releaseContext | ( |  | ) | `[virtual, inherited]`

Release the render context.

Reimplemented in Ogre::Win32Context.

Definition at line 69 of file OgreGLContext.h.

virtual void Ogre::OSXCGLContext::setCurrent | ( |  | ) | `[virtual]`

See GLContext.

Implements Ogre::OSXContext.

void Ogre::GLContext::setInitialized | ( |  | ) | `[inherited]`

Definition at line 58 of file OgreGLContext.h.

## Member Data Documentation

bool Ogre::GLContext::initialized `[protected, inherited]`

Definition at line 71 of file OgreGLContext.h.

CGLContextObj Ogre::OSXCGLContext::mCGLContext `[private]`

Definition at line 64 of file OgreOSXCGLContext.h.

Referenced by getContext().

CGLPixelFormatObj Ogre::OSXCGLContext::mPixelFormat `[private]`

Definition at line 65 of file OgreOSXCGLContext.h.

The documentation for this class was generated from the following file:

- OgreOSXCGLContext.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:54